## ros-foxy-launch 0.10.10

=== debian/changelog ===
ros-foxy-launch (0.10.10-1focal) focal; urgency=high

  * Fix bug in test_push_and_pop_environment.py
    Sandbox the environment so the tests do not affect other tests.
    This is a partial backport of (#652 <https://github.com/ros2/launch/issues/652>)
  * Sandbox environment in tests to fix repeated job failures (#609 <https://github.com/ros2/launch/issues/609>)
  * Fix the restoring of os.environ to maintain its type. (#656 <https://github.com/ros2/launch/issues/656>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Oct 2022 07:00:00 -0000

ros-foxy-launch (0.10.9-1focal) focal; urgency=high

  * Support scoping environment variables (#601 <https://github.com/ros2/launch/issues/601>) (#630 <https://github.com/ros2/launch/issues/630>)
  * Contributors: Jacob Perron

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 12 Sep 2022 07:00:00 -0000

ros-foxy-launch (0.10.8-1focal) focal; urgency=high

  * Validate unparsed attributes and subentities in launch_xml and launch_yaml. (#468 <https://github.com/ros2/launch/issues/468>) (#567 <https://github.com/ros2/launch/issues/567>)
  * Evaluate math symbols and functions in python expression. (#557 <https://github.com/ros2/launch/issues/557>) (#562 <https://github.com/ros2/launch/issues/562>)
  * Contributors: Aditya, Immanuel Martini, mergify[bot]

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Jan 2022 08:00:00 -0000

ros-foxy-launch (0.10.7-1focal) focal; urgency=high

  * Allow for raw path specification in IncludeLaunchDescription (#544 <https://github.com/ros2/launch/issues/544>) (#548 <https://github.com/ros2/launch/issues/548>)
  * Handle empty strings in type coercion. (#443 <https://github.com/ros2/launch/issues/443>)
  * Consolidate type_utils in a way that can be reused in substitution results that need to be coerced to a specific type (#438 <https://github.com/ros2/launch/issues/438>)
  * Fix up parser.py (#414 <https://github.com/ros2/launch/issues/414>)
  * Contributors: Dan Rose, David V. Lu!!, Ivan Santiago Paunovic, Jacob Perron, Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 12 Nov 2021 08:00:00 -0000

ros-foxy-launch (0.10.6-1focal) focal; urgency=high

  * Handle signals within the asyncio loop (#506 <https://github.com/ros2/launch/issues/506>)
    * Handle signals within the asyncio loop (#476 <https://github.com/ros2/launch/issues/476>)
    * Workaround asyncio signal handling on Unix (#479 <https://github.com/ros2/launch/issues/479>)
    * Remove is_winsock_handle() and instead test if wrapping the handle in a socket.socket() works (#494 <https://github.com/ros2/launch/issues/494>)
    * Close the socket pair used for signal management (#497 <https://github.com/ros2/launch/issues/497>)
    * Only try to wrap the fd in a socket on Windows (#498 <https://github.com/ros2/launch/issues/498>)
  * Contributors: Michael Jeronimo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 31 Aug 2021 07:00:00 -0000

ros-foxy-launch (0.10.5-1focal) focal; urgency=high

  * Support non-interactive launch.LaunchService runs (#475 <https://github.com/ros2/launch/issues/475>) (#500 <https://github.com/ros2/launch/issues/500>)
  * Add arg_choice arg to DeclareLaunchArguments (#483 <https://github.com/ros2/launch/issues/483>) (#485 <https://github.com/ros2/launch/issues/485>)
  * Add respawn and respawn_delay support (#426 <https://github.com/ros2/launch/issues/426>) (#478 <https://github.com/ros2/launch/issues/478>)
  * Allow configuring logging directory through environment variables (#460 <https://github.com/ros2/launch/issues/460>) (#477 <https://github.com/ros2/launch/issues/477>)
  * Contributors: Christophe Bedard, Felix Divo, Michel Hidalgo, Tom Greier, Victor Lopez, Vitaliy Bondar

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 14 Apr 2021 07:00:00 -0000

ros-foxy-launch (0.10.4-1focal) focal; urgency=high

  * Fix dollar symbols in substitution grammar (#461 <https://github.com/ros2/launch/issues/461>) (#472 <https://github.com/ros2/launch/issues/472>)
  * Delete unnecessary loading of 'launch.frontend.interpolate_substitution_method' entry point that was never used (#434 <https://github.com/ros2/launch/issues/434>) (#463 <https://github.com/ros2/launch/issues/463>)
  * Contributors: Ivan Santiago Paunovic, Jacob Perron

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-foxy-launch (0.10.3-1focal) focal; urgency=high

  * Add new conditions for checking launch configuration values (#453 <https://github.com/ros2/launch/issues/453>) (#457 <https://github.com/ros2/launch/issues/457>)
  * Refactor launch service run_async loop to wait on futures and queued events (#449 <https://github.com/ros2/launch/issues/449>) (#455 <https://github.com/ros2/launch/issues/455>)
  * Add pytest.ini so local tests don't display warning (#428 <https://github.com/ros2/launch/issues/428>)
  * Contributors: Chris Lalancette, Jacob Perron

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Aug 2020 07:00:00 -0000

ros-foxy-launch (0.10.2-1focal) focal; urgency=high

  * Fix new flake8 errors. (#420 <https://github.com/ros2/launch/issues/420>)
  * Contributors: Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 26 May 2020 07:00:00 -0000

ros-foxy-launch (0.10.1-1focal) focal; urgency=high

  * removed deprecated loop parameter call (#387 <https://github.com/ros2/launch/issues/387>) (#410 <https://github.com/ros2/launch/issues/410>)
  * Contributors: Zahi Kakish

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-foxy-launch (0.10.0-1focal) focal; urgency=high

  * remove Python 3.5 specific logic (#401 <https://github.com/ros2/launch/issues/401>)
  * use typing.TYPE_CHECKING to avoid flake8 failure (#398 <https://github.com/ros2/launch/issues/398>)
  * Suppress flake8 A003 warning (#395 <https://github.com/ros2/launch/issues/395>)

