=== debian/control ===
Source: ros-foxy-launch
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-foxy-ament-copyright <!nocheck>, ros-foxy-ament-flake8 <!nocheck>, ros-foxy-ament-pep257 <!nocheck>, ros-foxy-osrf-pycommon, ros-foxy-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-launch
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-lark, ros-foxy-ament-index-python, ros-foxy-osrf-pycommon, ros-foxy-ros-workspace
Description: The ROS launch tool.
